Package com.independentsoft.office.drawing

# Class ExtensionList

java.lang.Object
com.independentsoft.office.drawing.ExtensionList

public class ExtensionList extends Object
Represents an extension list (`a:extLst`, `c:extLst`, `dgm:extLst` or `wp:extLst`) - the OOXML container for application extensions. A present instance with no extensions round-trips as an empty element.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtensionList()`
  Instantiates a new extension list.
  `ExtensionList​(InternalXMLStreamReader reader)`
  Instantiates a new extension list.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExtensionList`
  `clone()`
  `List<Extension>`
  `getExtensions()`
  Gets the extensions in this list.
  `String`
  `toString()`
  `String`
  `toXml​(String qualifiedName)`
  To xml.
  `String`
  `toXml​(String qualifiedName, String declarations)`
  To xml.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExtensionList

    public ExtensionList()
    Instantiates a new extension list.

  - ### ExtensionList

    public ExtensionList​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new extension list.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the XML stream exception

- ## Method Details

  - ### clone

    public ExtensionList clone()
    Overrides:
      `clone` in class `Object`

  - ### toXml

    public String toXml​(String qualifiedName)
    To xml.
    Parameters:
      `qualifiedName` - the qualified element name to emit
    Returns:
      the string

  - ### toXml

    public String toXml​(String qualifiedName, String declarations)
    To xml.
    Parameters:
      `qualifiedName` - the qualified element name to emit
      `declarations` - extra namespace declarations for the start tag
    Returns:
      the string

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensions

    public List<Extension> getExtensions()
    Gets the extensions in this list.
    Returns:
      the extensions